import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.awt.geom.Rectangle2D;
import java.awt.geom.Line2D;


/**
 * Ein EinzelBett
 * 
 * @author claus albowski
 * @version 5'20
 */
public class EinzelBett extends Moebel
{

  /**
   * Erzeuge ein neues EinzelBett.
   */
    public EinzelBett(int x,int y,String f,String ff,int o,int b,int t)
  {
    xPosition = x;
    yPosition = y;
    farbe = f;
    fuellFarbe = ff;
    orientierung = o;
    istSichtbar = false;
    breite = b;
    tiefe  = t;
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath einzelBett = new GeneralPath();
      Shape rahmen = new Rectangle2D.Double(0, 0, breite, tiefe);
      Shape linie1 = new Line2D.Double(breite/5, 0, breite/5, tiefe);
      Shape linie2 = new Line2D.Double(breite/5, 0, breite, tiefe);
      einzelBett.append(rahmen, false);
      einzelBett.append(linie1, false);
      einzelBett.append(linie2, false);
      
      return  einzelBett;
  }
  
}
